Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # jpeg_write_support Struct Template Reference [JPEG I/O] `#include <jpeg_io.hpp>` List of all members. ## Detailed Description ### template<typename View> struct boost::gil::jpeg_write_support< View > Determines whether the given view type is supported for writing.
## Public Member Functions
| BOOST_STATIC_CONSTANT (bool, is_supported=(detail::jpeg_write_support_private< typename channel_type< View >::type, typename color_space_type< View >::type >::is_supported))
| BOOST_STATIC_CONSTANT (J_COLOR_SPACE, color_type=(detail::jpeg_write_support_private< typename channel_type< View >::type, typename color_space_type< View >::type >::color_type))
| BOOST_STATIC_CONSTANT (bool, value=is_supported)
The documentation for this struct was generated from the following file: jpeg_io.hpp